Name: icinga-director
Version: 1.11.1+55.g428a49f4
Release: 1723244618
Summary: Configuration deployment tool in the Icinga ecosystem

Group: Applications/System
License: GPLv2
URL: https://icinga.com/
Source0: icinga-director-1.11.1+55.g428a49f4.tgz

Requires: icinga-director-daemon = 1.11.1+55.g428a49f4-1723244618
Requires: icinga-director-web = 1.11.1+55.g428a49f4-1723244618

BuildArch: noarch

%description
Icinga Director is the configuration deployment tool in the Icinga ecosystem,
designed for automating configuration deployments,
but also for making changes directly in the webinterface.

%package php
Requires: icingaweb2-common >= 2.10.3
Requires: icinga-php-incubator >= 0.22.0
Summary: Icinga Director PHP files

%description php
PHP files for Icinga Director.

%package daemon
BuildRequires: systemd-rpm-macros

Requires(pre): shadow

Requires: icinga-director-php = 1.11.1+55.g428a49f4-1723244618
Requires: icingacli >= 2.10.3

Requires: php-pcntl
Requires: php-posix

Summary: Icinga Director daemon files

%description daemon
Daemon files for Icinga Director.

%package web
Requires: icingaweb2 >= 2.10.3
Requires: icinga-director-php = 1.11.1+55.g428a49f4-1723244618
Summary: Icinga Director web files

%description web
Web files for Icinga Director.

%prep
%autosetup

%build

%install
install -dm 0755 %_topdir/BUILDROOT/icinga-director-1.11.1+55.g428a49f4-1723244618.x86_64/usr/share/icingaweb2/modules/director
find . -type f -not -name LICENSE -not -name README.md -maxdepth 1 -exec cp -p "{}" %_topdir/BUILDROOT/icinga-director-1.11.1+55.g428a49f4-1723244618.x86_64/usr/share/icingaweb2/modules/director \;
find . -type d -not -path . -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILDROOT/icinga-director-1.11.1+55.g428a49f4-1723244618.x86_64/usr/share/icingaweb2/modules/director \;
install -Dpm 0644 contrib/systemd/icinga-director.service %_topdir/BUILDROOT/icinga-director-1.11.1+55.g428a49f4-1723244618.x86_64/usr/lib/systemd/system/icinga-director.service
install -dm 0750 %_topdir/BUILDROOT/icinga-director-1.11.1+55.g428a49f4-1723244618.x86_64/var/lib/icingadirector

%files

%files php
%doc README.md
%docdir /usr/share/icingaweb2/modules/director/doc
%license LICENSE
/usr/share/icingaweb2/modules/director

%post php
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/director /etc/icingaweb2/enabledModules/director
fi

%preun php
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/director
fi

%files daemon
/usr/lib/systemd/system/icinga-director.service
%attr(-,icingadirector,icingaweb2) /var/lib/icingadirector

%pre daemon
getent passwd icingadirector >/dev/null || useradd -r -G icingaweb2 -d /var/lib/icingadirector -s /sbin/nologin icingadirector

%post daemon
:
if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

if [ "$YAST_IS_RUNNING" != "instsys" ]; then
/usr/bin/systemctl daemon-reload || :
fi
for service in icinga-director.service ; do
sysv_service=${service%.*}

if [ -e /run/systemd/rpm/needs-preset/$service ]; then
/usr/bin/systemctl preset $service || :
rm "/run/systemd/rpm/needs-preset/$service" || :

elif [ -e /run/systemd/rpm/needs-sysv-convert/$service ]; then
/usr/sbin/systemd-sysv-convert --apply $sysv_service || :
rm "/run/systemd/rpm/needs-sysv-convert/$service" || :
touch /var/lib/systemd/migrated/$sysv_service || :
fi
done
fi

%preun daemon
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"
if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then
/usr/bin/systemctl --no-reload disable icinga-director.service || :
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_STOP_ON_REMOVAL" && . /etc/sysconfig/services
test "$DISABLE_STOP_ON_REMOVAL" = yes -o \
"$DISABLE_STOP_ON_REMOVAL" = 1 && exit 0
/usr/bin/systemctl stop icinga-director.service
) || :
fi

%postun daemon
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"

if [ $1 -eq 0 ]; then
for service in icinga-director.service ; do
sysv_service="${service%.*}"
rm -f "/var/lib/systemd/migrated/$sysv_service" || :
done
fi
if [ -x /usr/bin/systemctl ]; then
/usr/bin/systemctl daemon-reload || :
fi

if [ "$FIRST_ARG" -ge 1 ]; then
if [ -x /usr/bin/systemctl ]; then
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_RESTART_ON_UPDATE" && . /etc/sysconfig/services
test "$DISABLE_RESTART_ON_UPDATE" = yes -o \
"$DISABLE_RESTART_ON_UPDATE" = 1 && exit 0
/usr/bin/systemctl try-restart icinga-director.service
) || :
fi
fi

test "$1" != 0 || userdel -rf icingadirector &>/dev/null || :

%files web

%changelog
* Fri Aug 09 2024 Icinga GmbH <info@icinga.com> - 1.11.1+55.g428a49f4-1723244618$RPM_DIST
- Version 1.11.1+55.g428a49f4-1723244618

